function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, Column } from "typeorm";
import { id } from "../id.js";
export let UserPending = class UserPending {
    id;
    createdAt;
    code;
    username;
    email;
    password;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], UserPending.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], UserPending.prototype, "createdAt", void 0);
_ts_decorate([
    Index({
        unique: true
    }),
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], UserPending.prototype, "code", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], UserPending.prototype, "username", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], UserPending.prototype, "email", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], UserPending.prototype, "password", void 0);
UserPending = _ts_decorate([
    Entity()
], UserPending);
